QEMU-NBD(8)

NAME
qemu-nbd - QEMU Disk Network Block Device Server

SYNOPSIS
usage: qemu-nbd [OPTION]... filename

DESCRIPTION
Export Qemu disk image using NBD protocol.

OPTIONS

filename
     is a disk image filename

-p, --port=port
      port to listen on (default B<1024>)

-o, --offset=offset
      offset into the image

-b, --bind=iface
      interface to bind to (default B<0.0.0.0>)

-k, --socket=path
      Use a unix socket with path I<path>

-r, --read-only
      export read-only

-P, --partition=num
      only expose partition I<num>

-s, --snapshot
      use snapshot file

-n, --nocache
      disable host cache

-c, --connect=dev
      connect I<filename> to NBD device I<dev>

-d, --disconnect
      disconnect the specified device

-e, --shared=num
      device can be shared by I<num> clients (default B<1>)

-t, --persistent
      don't exit on the last connection

-v, --verbose
      display extra debugging information

-h, --help
      display this help and exit

-V, --version
      output version information and exit

SEE ALSO
qemu-img(1)

AUTHOR
Copyright (C) 2006 Anthony Liguori <anthony@codemonkey.ws>. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.